lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name    = "fluent-plugin-light-core"
  spec.version = "0.2.1"
  spec.authors = ["LIN LI"]
  spec.email   = ["l.li@alphabets.cn"]

  spec.summary       = %q{light core fluent plugin.}
  spec.description   = %q{light core fluent plugin. support mongodb, nginx and application}
  spec.homepage      = "https://git.alphabets.cn/light/fluent-plugin-light-core"
  spec.license       = "Apache-2.0"

  test_files, files  = `git ls-files -z`.split("\x0").partition do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.files         = files
  spec.executables   = files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = test_files
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 12.0"
  spec.add_development_dependency "test-unit", "~> 3.0"
  spec.add_runtime_dependency "fluentd", [">= 0.14.10", "< 2"]
  spec.add_runtime_dependency "sentry-ruby", [">= 4.1.5", "< 5"]
end
